%define upstream_name    AnyEvent-BDB
%define upstream_version 1.1

%define _requires_exceptions Exporter::

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Truly asynchronous berkeley db access
License:    GPL or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/AnyEvent/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRequires: perl-AnyEvent
BuildRequires: perl-BDB >= 1.5

BuildArch: noarch


%description
This module is an the AnyEvent manpage user, you need to make sure that you
use and run a supported event loop.

Loading this module will install the necessary magic to seamlessly
integrate the BDB manpage into the AnyEvent manpage, i.e. you no longer
need to concern yourself with calling 'BDB::poll_cb' or any of that stuff
(you still can, but this module will do it in case you don't).

The AnyEvent watcher can be disabled by executing 'undef
$AnyEvent::BDB::WATCHER'. Please notify the author of when and why you
think this was necessary.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.100.0-3.mga4
+ Revision: 509139
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.100.0-2.mga3
+ Revision: 362931
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 33574
- mageia rebuild
- cleaning spec file
- imported package perl-AnyEvent-BDB


* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.1
+ Revision: 503922
- tighten spec file

* Sun Aug 02 2009 Götz Waschk <waschk@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 407571
- new version
- use perl version macro

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 1.0-3mdv2009.0
+ Revision: 268363
- rebuild early 2009.0 package (before pixel changes)
- fix extra spacing at top of description

* Wed Jun 11 2008 Götz Waschk <waschk@mandriva.org> 1.0-2mdv2009.0
+ Revision: 217900
- make the package installable

* Tue Jun 10 2008 Götz Waschk <waschk@mandriva.org> 1.0-1mdv2009.0
+ Revision: 217384
- import perl-AnyEvent-BDB


